<!-- Autogenerated by mlir-tblgen; don't manually edit -->
# 'Tracing' Dialect

Tracing dialect
A dialect to print program values at runtime.



## Operation definition

### `Tracing.trace_ciphertext` (::mlir::concretelang::Tracing::TraceCiphertextOp)

Prints a ciphertext.


#### Attributes:

| Attribute | MLIR Type | Description |
| :-------: | :-------: | ----------- |
| `msg` | ::mlir::StringAttr | string attribute
| `nmsb` | ::mlir::IntegerAttr | 32-bit signless integer attribute

#### Operands:

| Operand | Description |
| :-----: | ----------- |
| `ciphertext` | 

### `Tracing.trace_message` (::mlir::concretelang::Tracing::TraceMessageOp)

Prints a message.


#### Attributes:

| Attribute | MLIR Type | Description |
| :-------: | :-------: | ----------- |
| `msg` | ::mlir::StringAttr | string attribute

### `Tracing.trace_plaintext` (::mlir::concretelang::Tracing::TracePlaintextOp)

Prints a plaintext.


#### Attributes:

| Attribute | MLIR Type | Description |
| :-------: | :-------: | ----------- |
| `msg` | ::mlir::StringAttr | string attribute
| `nmsb` | ::mlir::IntegerAttr | 32-bit signless integer attribute

#### Operands:

| Operand | Description |
| :-----: | ----------- |
| `plaintext` | integer

